%define debug_package %{nil}

Name:           ocaml-pxp
Version:        1.2.0test2
Release:        3%{?dist}
Summary:        Validating XML parser

Group:          Development/Libraries
License:        BSD
URL:            http://projects.camlcity.org/projects/pxp.html
Source0:        http://download.camlcity.org/download/pxp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    ppc64

BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ulex-devel
BuildRequires:  ocaml-pcre-devel, pcre-devel
BuildRequires:  ocaml-camlp4-devel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Outcometree -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
PXP is a validating XML parser for O'Caml. It represents the parsed
document either as tree or as stream of events. In tree mode, it is
possible to validate the XML document against a DTD.

The acronym PXP means Polymorphic XML Parser. This name reflects the
ability to create XML trees with polymorphic type parameters.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pxp-%{version}
./configure \
  -without-wlex \
  -without-wlex-compat \
  -lexlist all


%build
make all
make opt


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/ocaml/pxp-engine/*.cma
%{_libdir}/ocaml/pxp-engine/*.cmi
%{_libdir}/ocaml/pxp-engine/*.cmo
%{_libdir}/ocaml/pxp-lex-*/*.cma
%{_libdir}/ocaml/pxp-lex-*/*.cmi
%{_libdir}/ocaml/pxp-lex-*/*.cmo
%{_libdir}/ocaml/pxp-ulex-utf8/*.cma
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmi
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmo
%{_libdir}/ocaml/pxp-pp/pxp_pp.cma


%files devel
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/ocaml/pxp-engine/META
%{_libdir}/ocaml/pxp-engine/*.a
%{_libdir}/ocaml/pxp-engine/*.cmxa
%{_libdir}/ocaml/pxp-engine/*.mli
%{_libdir}/ocaml/pxp-lex-*/META
%{_libdir}/ocaml/pxp-lex-*/*.a
%{_libdir}/ocaml/pxp-lex-*/*.cmxa
%{_libdir}/ocaml/pxp-lex-*/*.cmx
%{_libdir}/ocaml/pxp-lex-*/*.o
%{_libdir}/ocaml/pxp-ulex-utf8/META
%{_libdir}/ocaml/pxp-ulex-utf8/*.a
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmxa
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmx
%{_libdir}/ocaml/pxp-ulex-utf8/*.o
%{_libdir}/ocaml/pxp-pp/META
%{_libdir}/ocaml/pxp/META


%changelog
* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test2-3
- ExcludeArch ppc64 (bz #443899).

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test2-2
- Rebuild for OCaml 3.10.2

* Mon Apr  2 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test2-1
- New upstream version 1.2.0test2.
- New upstream URL.
- Re-enabled camlp4 extension.

* Sun Mar  2 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-6
- Rebuild for ppc64.

* Fri Feb 15 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-5
- Added BR ocaml-camlp4-devel

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-4
- Added BR ocaml-pcre-devel, pcre-devel

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-3
- ExcludeArch ppc64

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-2
- Build on OCaml 3.10
- Disable building the preprocessor (requires old camlp4 or camlp5).
- License is BSD.
- Ignore Parsetree.

* Sat May 26 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-1
- Initial RPM release.
